import request from '../utils/request'

//添加通知邮箱
export function getAddNoticeEmail(data) {
  return request({
    url: `pool/notice/addNoticeEmail`,
    method: 'post',
    data
  })
}


//发送添加通知邮件邮箱验证码
export function getCode(data) {
    return request({
      url: `pool/notice/getCode`,
      method: 'post',
      data
    })
  }

  
//获取当前挖矿账户通知邮箱列表
export function getList(data) {
    return request({
      url: `pool/notice/getList`,
      method: 'post',
      data
    })
  }

  //修改通知邮箱备注
export function getUpdateInfo(data) {
    return request({
      url: `pool/notice/updateInfo`,
      method: 'post',
      data
    })
  }

    //删除通知邮箱
export function deleteEmail(data) {
    return request({
      url: `pool/notice/deleteEmail`,
      method: 'delete',
      data
    })
  }